Subject: Notification: incoming/662

From: [email-masked]
Date: Fri, 20 Oct 2000 05:16:35 -0500 (CDT)

FVWM Bug Tracking notification

new message incoming/662

Message summary for PR#662
	From: [email-masked]
	Subject: fvwm crashes; mostly upon moving windows
	Date: Fri, 20 Oct 2000 05:16:33 -0500 (CDT)
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked]  Fri Oct 20 05:16:34 2000
Received: from localhost (localhost [127.0.0.1])
	by larry.math.uh.edu (8.9.1/8.9.1) with ESMTP id FAA01839
	for <[email-masked]>; Fri, 20 Oct 2000 05:16:33 -0500 (CDT)
Date: Fri, 20 Oct 2000 05:16:33 -0500 (CDT)
From: [email-masked]
Message-Id: <[email-masked]>
To: [email-masked]
Subject: fvwm crashes; mostly upon moving windows

Full_Name: Robin
Version: 2.3.21
CVS_Date: 
OS: SuSE 7.0
X_Server: XFree86 V4.01
Submission from: (NULL) (213.51.112.30)

At random times the window manger crashes. 
This happnes mostly when i move a window across the screen.
Windows are not draw correctly anymore ore not at all.
Most of the times i'm able to pull a menu and exit that way, but when i
wait
to long, the systems hangs hard and i need a ctrl-alt-backsp.

Always as this happens, when i can pull a menu, i see the menu icons, and
the menu text,
but no borders and no menu backround. So suddenly the desktop menu becomes
transparent.
The menu windows asking for confirmation on exit is not appearing anymore,
i just hit enter.
starting x again can sometimes help, but most of the times fvwm won't work
correctly anymore unless i reboot the system. (cold reboot).

I'm using SuSE linux 7, xfree 4.01, asus v3200 voodoo banshee board, p2
333Mhz
120Mb ram, fvwm 2.3.21 with fvwmbuttons.
I'm running a dual headed config, this works fine with fvwm2. Switching
back
to single screen did not solve the problem. Using kde the problems don't
appear
so i do not expect this to be a hardware problem.

gr. robin

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: "Paul D. Smith" <[email-masked]>
Date: 21 Oct 2000 00:34:53 -0400

%% [email-masked] writes:

  f> Version: 2.3.21
  f> CVS_Date: 
  f> OS: SuSE 7.0
  f> X_Server: XFree86 V4.01
  f> Submission from: (NULL) (213.51.112.30)

  f> At random times the window manger crashes.  This happnes mostly
  f> when i move a window across the screen.  Windows are not draw
  f> correctly anymore ore not at all.  Most of the times i'm able to
  f> pull a menu and exit that way, but when i wait to long, the systems
  f> hangs hard and i need a ctrl-alt-backsp.

  f> Always as this happens, when i can pull a menu, i see the menu
  f> icons, and the menu text, but no borders and no menu backround. So
  f> suddenly the desktop menu becomes transparent.  The menu windows
  f> asking for confirmation on exit is not appearing anymore, i just
  f> hit enter.  starting x again can sometimes help, but most of the
  f> times fvwm won't work correctly anymore unless i reboot the
  f> system. (cold reboot).

  f> I'm using SuSE linux 7, xfree 4.01, asus v3200 voodoo banshee
  f> board, p2 333Mhz 120Mb ram, fvwm 2.3.21 with fvwmbuttons.  I'm
  f> running a dual headed config, this works fine with fvwm2. Switching
  f> back to single screen did not solve the problem. Using kde the
  f> problems don't appear so i do not expect this to be a hardware
  f> problem.

I don't see any possible way in which this could be an FVWM problem.
There is absolutely no way in the world that _anything_ FVWM could do
should be able to mess up your system so badly that restarting X doesn't
even help and you have to reboot your system.  That's one of the huge
advantage of X's client-server architecture.

It sounds to me like something FVWM is doing is tweaking a bug in your X
server, but this is not a bug in FVWM and there's essentially no chance
at all that we can find it from the FVWM side.

I would try going back to XFree86 3.3.6 (if it supports your video
card), or asking on one of the XFree86 lists or newsgroups.

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]